gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.SignalQuery

Contents

- Exported types
- Methods
- Properties
  - itype
  - nParams
  - returnType
  - signalFlags
  - signalId
  - signalName

Description

A structure holding in-depth information for a specific signal.

See also: `signalQuery`

Synopsis

- newtype SignalQuery = SignalQuery (ManagedPtr SignalQuery)
- newZeroSignalQuery :: MonadIO m => m SignalQuery
- getSignalQueryItype :: MonadIO m => SignalQuery -> m GType
- setSignalQueryItype :: MonadIO m => SignalQuery -> GType -> m ()
- getSignalQueryNParams :: MonadIO m => SignalQuery -> m Word32
- setSignalQueryNParams :: MonadIO m => SignalQuery -> Word32 -> m ()
- getSignalQueryReturnType :: MonadIO m => SignalQuery -> m GType
- setSignalQueryReturnType :: MonadIO m => SignalQuery -> GType -> m ()
- getSignalQuerySignalFlags :: MonadIO m => SignalQuery -> m [SignalFlags]
- setSignalQuerySignalFlags :: MonadIO m => SignalQuery -> [SignalFlags] -> m ()
- getSignalQuerySignalId :: MonadIO m => SignalQuery -> m Word32
- setSignalQuerySignalId :: MonadIO m => SignalQuery -> Word32 -> m ()
- clearSignalQuerySignalName :: MonadIO m => SignalQuery -> m ()
- getSignalQuerySignalName :: MonadIO m => SignalQuery -> m (Maybe Text)
- setSignalQuerySignalName :: MonadIO m => SignalQuery -> CString -> m ()

# Exported types

newtype SignalQuery Source #

Memory-managed wrapper type.

Constructors

SignalQuery (ManagedPtr SignalQuery) |

#### Instances

Instances details

Eq SignalQuery Source # |
Instance details Defined in GI.GObject.Structs.SignalQuery Methods (==) :: SignalQuery -> SignalQuery -> Bool Source # (/=) :: SignalQuery -> SignalQuery -> Bool Source #
BoxedPtr SignalQuery Source # |
Instance details Defined in GI.GObject.Structs.SignalQuery Methods boxedPtrCopy :: SignalQuery -> IO SignalQuery Source # boxedPtrFree :: SignalQuery -> IO () Source #
CallocPtr SignalQuery Source # |
Instance details Defined in GI.GObject.Structs.SignalQuery Methods boxedPtrCalloc :: IO (Ptr SignalQuery) Source #
ManagedPtrNewtype SignalQuery Source # |
Instance details Defined in GI.GObject.Structs.SignalQuery Methods toManagedPtr :: SignalQuery -> ManagedPtr SignalQuery Source #
tag ~ 'AttrSet => Constructible SignalQuery tag Source # |
Instance details Defined in GI.GObject.Structs.SignalQuery Methods new :: MonadIO m => (ManagedPtr SignalQuery -> SignalQuery) -> [AttrOp SignalQuery tag] -> m SignalQuery Source #

newZeroSignalQuery :: MonadIO m => m SignalQuery Source #

Construct a `SignalQuery` struct initialized to zero.

# Methods

# Properties

## itype

The interface/instance type that this signal can be emitted for.

getSignalQueryItype :: MonadIO m => SignalQuery -> m GType Source #

Get the value of the “`itype`” field. When overloading is enabled, this is equivalent to

    get signalQuery #itype

setSignalQueryItype :: MonadIO m => SignalQuery -> GType -> m () Source #

Set the value of the “`itype`” field. When overloading is enabled, this is equivalent to

    set signalQuery [ #itype := value ]

## nParams

The number of parameters that user callbacks take.

getSignalQueryNParams :: MonadIO m => SignalQuery -> m Word32 Source #

Get the value of the “`n_params`” field. When overloading is enabled, this is equivalent to

    get signalQuery #nParams

setSignalQueryNParams :: MonadIO m => SignalQuery -> Word32 -> m () Source #

Set the value of the “`n_params`” field. When overloading is enabled, this is equivalent to

    set signalQuery [ #nParams := value ]

## returnType

The return type for user callbacks.

getSignalQueryReturnType :: MonadIO m => SignalQuery -> m GType Source #

Get the value of the “`return_type`” field. When overloading is enabled, this is equivalent to

    get signalQuery #returnType

setSignalQueryReturnType :: MonadIO m => SignalQuery -> GType -> m () Source #

Set the value of the “`return_type`” field. When overloading is enabled, this is equivalent to

    set signalQuery [ #returnType := value ]

## signalFlags

The signal flags as passed in to `g_signal_new()`.

getSignalQuerySignalFlags :: MonadIO m => SignalQuery -> m [SignalFlags] Source #

Get the value of the “`signal_flags`” field. When overloading is enabled, this is equivalent to

    get signalQuery #signalFlags

setSignalQuerySignalFlags :: MonadIO m => SignalQuery -> [SignalFlags] -> m () Source #

Set the value of the “`signal_flags`” field. When overloading is enabled, this is equivalent to

    set signalQuery [ #signalFlags := value ]

## signalId

The signal id of the signal being queried, or 0 if the signal to be queried was unknown.

getSignalQuerySignalId :: MonadIO m => SignalQuery -> m Word32 Source #

Get the value of the “`signal_id`” field. When overloading is enabled, this is equivalent to

    get signalQuery #signalId

setSignalQuerySignalId :: MonadIO m => SignalQuery -> Word32 -> m () Source #

Set the value of the “`signal_id`” field. When overloading is enabled, this is equivalent to

    set signalQuery [ #signalId := value ]

## signalName

The signal name.

clearSignalQuerySignalName :: MonadIO m => SignalQuery -> m () Source #

Set the value of the “`signal_name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #signalName

getSignalQuerySignalName :: MonadIO m => SignalQuery -> m (Maybe Text) Source #

Get the value of the “`signal_name`” field. When overloading is enabled, this is equivalent to

    get signalQuery #signalName

setSignalQuerySignalName :: MonadIO m => SignalQuery -> CString -> m () Source #

Set the value of the “`signal_name`” field. When overloading is enabled, this is equivalent to

    set signalQuery [ #signalName := value ]